> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create Connect HMAC secret for organization

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/connect/secret

Creates a new [HMAC](/platform/webhooks/connect/hmac/) secret for an organization. The response for this call will contain the full unredacted secret. Record this secret to a secure location, as you will not be able to get this information again later.

Required scopes: `connect_org_hmac_write_api`

Reference: https://developers.docusign.com/docs/admin-api/reference/organization/connect/postconnecthmacsecret

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The GUID ID of the organization within which the HMAC secret will be created.

## Response

### 200

OK

- `secrets` (list of string, optional)

## Examples

**Response**

```json
{
  "secrets": [
    "string"
  ]
}
```